GetPITRWindow#

Description#

Request to get the time range within which a PaaS service can be restored to an arbitrary point in time (PITR).

Request Parameters#

  • serviceId — The PaaS service ID.

    • Type: String

    • Required: Yes

Response Elements#

  • end — The end of the available restore range, in Unix epoch format.

    • Type: Integer

  • start — The start of the available restore range, in Unix epoch format.

    • Type: Integer

Examples#

Managing PaaS services in K2 Cloud via API requires a customized version of the boto3 library:

import boto3

session = boto3.Session(
    aws_access_key_id="<AWS_ACCESS_KEY_ID>",
    aws_secret_access_key="<AWS_SECRET_ACCESS_KEY>",
    region_name="",
)

paas_client = session.client(
    'paas',
    endpoint_url='https://paas.ru-msk.k2.cloud/',
)

window = paas_client.get_pitr_window(
    serviceId='fm-cluster-1ACD3963',
)

Or c2-paas utility from K2 Cloud API Client software suite:

c2-paas GetPITRWindow serviceId fm-cluster-1ACD3963